#include <iostream>
#include <vector>

using namespace std;

int main(){
    int n;
    cin >> n;
    vector<pair<int,int>> parovi;

    int x,y;
    for(int i = 0; i < n-1; i++){
        cin >> x >> y;
        parovi.push_back(make_pair(x,y));
    }

    switch(n){
        case 2:{
            cout << 0;
            break;
        }
        case 3:{
            cout << 1;
            break;
        }
        case 4:{
            cout << 1;
            break;
        }
        case 5:{
            cout << 2;
            break;   
        }default:{   
            cout << n-2; 
            break;
        }
    }

    return 0;    
}